更新履歴 2018年06月27日

Yahoo! ID連携 iOS SDKアップデートのお願い

いつもYahoo! JAPANをご利用いただき誠にありがとうございます。

iOSアプリにてご利用いただいているYahoo! ID連携 iOS SDKアップデートのお願いです。

■依頼内容
「YConnect iOS SDK ver.1.0.1」もしくはv2版 Yahoo! ID連携 iOS SDKを導入したアプリを
App Storeに申請した場合、審査で却下される可能性があります。
お手数ですが最新版(ver.1.1.0)へのアップデートをお願いいたします。

以下のリンクよりダウンロードをお願いいたします。
Yahoo! ID連携 v1 iOS SDK
Yahoo! ID連携 v2 iOS SDK

ver.1.1.0より、サポートOSをiOS 9以上に変更しましたので
今一度ご確認ください。

■原因
・アプリからSafariを起動して認証および登録をする機能が、App Store審査ガイドラインに抵触している可能性があるため

■更新内容
・Safariの代わりにSFAuthenticationSessionやSFSafariViewControllerを利用するように変更
・その他軽微な修正

■お問い合わせ先
https://feedback.ms.yahoo.co.jp/voc/ydevnet-yconnect-voc/input

今後ともYahoo! JAPANをよろしくお願いいたします。

同じカテゴリの記事一覧